Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9698

Department: EF Affected Products: ADTF 3.3.3

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: ADTF::Launcher

Resolution: Known Problem FAQ Links:  

Description

*Supportanfrage

im configurationeditor.cesettings wird bei den Launcher folgender Eintrag eingefügt:

<launcher>

    <name>via ADTF Control_8000</name>

    <executable>"$(ADTF_DIR)/bin/adtf_control" -l="$(ADTF_SESSION_FILENAME)" -console -launcher=ad

tf -url="http://localhost:8000"</executable>

    <workingdirectory>$(ADTF_DIR)/bin</workingdirectory>

</launcher>

 Dies führt zur Fehlermeldung:

*******************************************************************************

ADTF - Automotive Data and Time-Triggered Framework

*******************************************************************************

 * WELCOME TO ADTF Control *

use 'help' to see available commands

*******************************************************************************

Trying to connect to the ADTF System at 'http:\\localhost:8000' ...

ADTF Runtime Exception

Exception occurred while running adtf:

Code: -5

"The URL is not valid" 

File: C:\jenkins\ws\A3_bld\PLATFORM\WIN7_x64_vc140\source\src\tools\launcher\adtf_launcher.cpp(153

)

Result code '-35 '(ERR_NOT_CONNECTED) - Not connected [File: C:\jenkins\ws\A3_bld\PLATFORM\WIN7_x6

4_vc140\source\src\tools\adtfcontrol\adtfcontrol.cpp] [Line: 576] [Func: launch_system]

adtf>

 Lösung

Muss in Produktticket ACORE-9698 gelöst werden.

History

#1 - 2018-09-28 09:17 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Launcher

- Customer set to AUDI

- Department set to EF
- Affected Products ADTF 3.3.3 added

- Platform Windows 7 64bit added

#2 - 2018-09-28 10:24 - hidden

Hallo Florian,

kannst Du Dir das bitte mal ansehen.

Ich kann das Verhalten reproduzieren.

Grundsätzlich sollte das doch aber funktionieren?

#3 - 2018-09-28 11:26 - hidden

Hallo Zusammen,

wenn ich das - vor dem url und die Anführungszeichen im configurationeditor.cesettings auslasse, werden die Slashes nicht in Backslashes

umgewandelt. Dann klappt auch die Verbindung

<executable>"$(ADTF_DIR)/bin/adtf_control" -l="$(ADTF_SESSION_FILENAME)" -console -launcher=adtf url=http://localhost:8000</executable>

Gruß,

Evrim

#4 - 2018-09-28 12:11 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9495

- Support Level changed from 2nd Level to 3rd Level

Hallo Evrim,

wenn ich das - vor dem url und die Anführungszeichen im configurationeditor.cesettings auslasse, werden die Slashes nicht in Backslashes

umgewandelt. Dann klappt auch die Verbindung

 Das ist allerdings Zufall, in diesem Fall wird url ignoriert und die default Adresse verwendet -> http://localhost:8000.

Wenn es dir um die Adresse geht, kannst du es auch weglassen, diese wird default verwendet.

Da wir zu ADTF 3.4.0 die Kommandozeilenparameter überarbeiten, werden wir dieses Problem gleich mitlösen.

#5 - 2018-10-08 13:24 - hidden

- Project changed from 11 to Public Support

- Subject changed from ADTF 3.3.3 CE: Slashes in Url von Launcher-Einträgen werden durch Backslashes ersetzt to url is resolved with invalid

backslashes

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Product Issue Numbers changed from https://www.cip.audi.de/jira/browse/ACORE-9495 to https://www.cip.audi.de/jira/browse/ACORE-9698

#6 - 2018-10-09 13:12 - hidden

- Status changed from To Be Closed to Closed
